
---
events:
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineSystem.cmake:12 (find_program)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_UNAME"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: true
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "uname"
    candidate_directories:
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/usr/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
      - "/bin/"
    searched_directories:
      - "/home/shin/.local/share/nvim/mason/bin/uname"
      - "/home/shin/.asdf/shims/uname"
      - "/home/shin/.aftman/bin/uname"
      - "/home/shin/.rokit/bin/uname"
      - "/home/shin/.cargo/bin/uname"
      - "/usr/local/sbin/uname"
      - "/usr/local/bin/uname"
    found: "/usr/bin/uname"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineSystem.cmake:212 (message)"
      - "CMakeLists.txt:3 (project)"
    message: |
      The system is: Linux - 6.16.8-gentoo - x86_64
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeUnixFindMake.cmake:5 (find_program)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_MAKE_PROGRAM"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: true
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "gmake"
      - "make"
      - "smake"
    candidate_directories:
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/usr/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/home/shin/.local/share/nvim/mason/bin/gmake"
      - "/home/shin/.asdf/shims/gmake"
      - "/home/shin/.aftman/bin/gmake"
      - "/home/shin/.rokit/bin/gmake"
      - "/home/shin/.cargo/bin/gmake"
      - "/usr/local/sbin/gmake"
      - "/usr/local/bin/gmake"
    found: "/usr/bin/gmake"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_STRIP"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "strip"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    found: "/usr/bin/strip"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_NM"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "nm"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    found: "/usr/bin/nm"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_OBJDUMP"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "objdump"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    found: "/usr/bin/objdump"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_OBJCOPY"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "objcopy"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    found: "/usr/bin/objcopy"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_READELF"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "readelf"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    found: "/usr/bin/readelf"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_DLLTOOL"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "dlltool"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/usr/bin/dlltool"
      - "/home/shin/.local/share/nvim/mason/bin/dlltool"
      - "/home/shin/.asdf/shims/dlltool"
      - "/home/shin/.aftman/bin/dlltool"
      - "/home/shin/.rokit/bin/dlltool"
      - "/home/shin/.cargo/bin/dlltool"
      - "/usr/local/sbin/dlltool"
      - "/usr/local/bin/dlltool"
      - "/opt/bin/dlltool"
    found: "/usr/lib/llvm/21/bin/dlltool"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_ADDR2LINE"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "addr2line"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    found: "/usr/bin/addr2line"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
...
